> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getstrada.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific call

> Retrieve details for a specific call by ID



## OpenAPI

````yaml get /api/calls/{callId}
openapi: 3.1.0
info:
  title: Strada Voice API
  version: 1.0.0
  description: API for managing voice calls
servers:
  - url: https://api.getstrada.com
    description: Production server
security: []
paths:
  /api/calls/{callId}:
    get:
      tags:
        - Calls
      summary: Get a specific call
      description: Retrieve details for a specific call by ID
      parameters:
        - name: callId
          in: path
          required: true
          schema:
            type: string
          description: ID of the call to retrieve
      responses:
        '200':
          description: Successfully retrieved call
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCallResponse'
        '403':
          description: Forbidden - invalid authentication or authorization
        '404':
          description: Call not found
      security:
        - bearerAuth: []
components:
  schemas:
    GetCallResponse:
      type: object
      properties:
        call:
          $ref: '#/components/schemas/Call'
    Call:
      type: object
      properties:
        callId:
          type: string
        agentId:
          type: string
        createdAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - queued
            - ringing
            - in-progress
            - ended
            - busy
            - canceled
            - failed
            - no-answer
        type:
          type: string
          enum:
            - inboundPhoneCall
            - outboundPhoneCall
        campaignName:
          type: string
        startedAt:
          type: string
          format: date-time
        recordingUrl:
          type: string
        endedAt:
          type: string
          format: date-time
        endedBy:
          type: string
          enum:
            - Agent ended the call
            - Customer ended the call
            - Ended due to inactivity timeout
            - Reached maximum conversation duration
        customerNumber:
          type: string
        endedReason:
          type: string
        summary:
          type: string
        analysis:
          type: object
          additionalProperties: true
        transcript:
          type: array
          items:
            $ref: '#/components/schemas/CallMessage'
        url:
          type: string
        callVariables:
          type: object
          additionalProperties: true
        sessionVariables:
          type: object
          additionalProperties: true
          description: >-
            Key-value pairs stored during the conversation by Set Session
            Variable workflow nodes, if any
        qa:
          type: object
          description: Summary of the call's most recent QA review, if QA ran for this call
          properties:
            overallPassed:
              type: boolean
              description: >-
                Whether the call passed all criteria in its most recent QA
                review
            sentiment:
              type: string
              description: >-
                Overall sentiment label from the call's most recent QA review,
                if assigned
            rubricOutcomes:
              type: object
              additionalProperties:
                type: boolean
              description: Pass/fail outcome per QA rubric criterion name
        phoneNumber:
          type: string
        campaignParentCallIds:
          type: array
          items:
            type: string
        transferDestination:
          type: string
        externalId:
          type: string
          description: External identifier from the inbound call request, if available
      required:
        - callId
        - agentId
        - createdAt
        - status
    CallMessage:
      type: object
      properties:
        role:
          type: string
          enum:
            - bot
            - user
            - tool_call_result
        message:
          type: string
        secondsFromStart:
          type: number
        time:
          type: string
        endTime:
          type: string
        duration:
          type: number
        name:
          type: string
        result:
          type: object
        toolCall:
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key authentication

````